; Print command line arguments
;	Startup stack is: N, ^arg1, ... ^argN, 0, env1, env2..., 0

%include "asmmac.inc"
%include "io.inc"

SECTION .text
	global _start
	align 4
_start:
	call init_io

	pop ecx
	printf "%d\n", ecx
.1	pop eax
	printf "%d\t%s\n", eax, eax
	loop .1

halt:
	call flush
	mov eax,1
	int 80h
